# Tagline

Simple command line tool for tagging lines of text. Intended for reviewing a long list, separted by new lines. Creates new files for each tag of only the items tagged, so that it can be used to organise lists into sub lists.

## Installation

    $ gem install tagline

## Usage

		$ tagline -f my_list.txt -t tag1:116 -t tag2:100 -t tag3:122

```
********** Tagline *************
********************************

 * Press UP to see previous
 * Press DOWN to see next
 * Press "t" to toggle tag1
 * Press "d" to toggle tag2
 * Press "z" to toggle tag3
 * Press "n" to toggle next_on_tag
 * Press CTRL+X to exit

Tags:
  tag1: false
  tag2: false
  tag3: false

=> My first line of text!
```

The tag argument expects a tagname:ascii-code pair. ascii codes can be looked-up [here](docs/ascii_codes.md).

The default tags are ENTER for pass and 'f' for flag.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/tagline/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
